Bug 87890 - X server memory leak each time chrome open up a new window
Summary: X server memory leak each time chrome open up a new window
Status: NEW
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/fglrx (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: atilinuxbugsunassigned
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-31 03:20 UTC by Mike Qin
Modified: 2016-11-14 02:11 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
valgrind log (456.64 KB, application/gzip)
2014-12-31 04:46 UTC, Mike Qin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Qin 2014-12-31 03:20:40 UTC
mike@koala% rpm -q xorg-x11-server     
xorg-x11-server-7.6_1.16.1-5.1.x86_64

With this version of Xorg and fglrx, every time I open a chrome window (either browsing or Webapp window), Xorg server memory grow by at least 5MB. This memory won't go away when I close the chrome window.

As time goes on, Xorg will eat up all memory and I'll have to logout and restart Xorg.

I have filed a bug to Chrome as well[1]. Also, I found a similar bug report[2] claiming that this is also happening for Nvidia drivers since Xorg 1.16.1.


[1] https://code.google.com/p/chromium/issues/detail?can=2&start=0&num=100&q=Xorg&colspec=ID%20Pri%20M%20Week%20ReleaseBlock%20Cr%20Status%20Owner%20Summary%20OS%20Modified&groupby=&sort=-modified&id=445672

[2] https://bugs.launchpad.net/ubuntu/+source/xorg-server-lts-trusty/+bug/1402551
Comment 1 Mike Qin 2014-12-31 04:45:07 UTC
I ran Xorg with valgrind and opened Google Drive Webapp several times. Valgrind does report leaks (after InitOutput()) from fglrx-libglx.

However, I cannot upload attachment here. How could I send you the log?
Comment 2 Mike Qin 2014-12-31 04:46:38 UTC
Created attachment 111551 [details]
valgrind log
Comment 3 Mike Qin 2014-12-31 04:46:55 UTC
(In reply to Mike Qin from comment #1)
> I ran Xorg with valgrind and opened Google Drive Webapp several times.
> Valgrind does report leaks (after InitOutput()) from fglrx-libglx.
> 
> However, I cannot upload attachment here. How could I send you the log?

Here's the log, it's simply too large. Oops.
Comment 4 Alan Coopersmith 2014-12-31 04:54:38 UTC
fglrx is ATI's closed source driver - X.Org can't fix bugs in that.
Comment 5 Mike Qin 2014-12-31 05:09:58 UTC
(In reply to Alan Coopersmith from comment #4)
> fglrx is ATI's closed source driver - X.Org can't fix bugs in that.

Well, both Nvidia and fglrx drivers have this issue according to https://bugs.launchpad.net/ubuntu/+source/xorg-server-lts-trusty/+bug/1402551

I'm not sure what's really happening, but I suspect it could be some undocumented API change in Xorg that's causing this leak. Both of the closed source driver are leaking memory, it just sounds so much like the lower layer's regression.
Comment 6 vkrevs 2016-11-13 11:16:19 UTC
I am genuinely shocked but the issue is gone with google-chrome 54.0.2840.100 (64-bit) on openSUSE 42.1 and latest AMD Catalyst 5.12 driver (which has not seen any updates for a very long time). Looks like the latest stable google chrome finally fixed this.

 rpm -q xorg-x11-server                                                                                                                                                                                                                     
xorg-x11-server-7.6_1.17.2-24.2.x86_64 

$ rpm -qa | grep fglrx
fglrx64_core_SUSE421-15.302.3-1.x86_64
fglrx64_opencl_SUSE421-15.302.3-1.x86_64
fglrx64_amdcccle_SUSE421-15.302.3-1.x86_64
fglrx64_graphics_SUSE421-15.302.3-1.x86_64
fglrx64_xpic_SUSE421-15.302.3-1.x86_64


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.